
QGIS Application - Bug report #19181

Crash on Start

2018-06-12 03:49 PM - Steven Chetwynd

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 27010

Description

I've just attempted to upgrade from 3.0.0 to 3.0.3, now when ever i open QGIS I get the splash screen which gets to "QGIS Ready!" then

the crash screen appears.

I upgraded by uninstalling 3.0.0 and downloading and installing 3.0.3 from the QGIS website. I still have 2.8.6 installed.

Crash ID: 6a53acc6c620e51a69e4310a4414402dd0332702

Stack Trace

RtlFreeHeap :

HeapFree :

free :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QStackedWidget::`default constructor closure' :

QInputDialog::getInteger :

QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :

QgsBrowserModel::data :

QSortFilterProxyModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :

QTreeViewPrivate::itemHeight :

QTreeViewPrivate::lastVisibleItem :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :

QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :
QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: 8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-06-13 03:10 PM - Steven Chetwynd

This Issue seems to be caused by me changing from 32bit to 64bit versions of QGIS, I've installed 3.0.3 32bit and its working.

I believe this is still an issue as it is unexpected behaviour.

#2 - 2018-09-23 02:51 PM - Jürgen Fischer

- Related to Bug report #19759: crash in browser added

#3 - 2018-09-23 03:44 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#4 - 2018-09-23 03:44 PM - Jürgen Fischer

- Related to deleted (Bug report #19759: crash in browser)

#5 - 2018-09-23 03:44 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
